### Type parameters

- #### TValue

### Hierarchy

- LoDashExplicitWrapper

## Index

### Properties

- partial
- partialRight

### Methods

- after
- ary
- before
- bind
- bindKey
- curry
- curryRight
- debounce
- defer
- delay
- memoize
- negate
- overArgs
- rearg
- rest
- spread
- throttle
- unary
- wrap

## Properties

### partial

partial: ExplicitPartial

- Defined in node_modules/@types/lodash/common/function.d.ts:945

see

  _.partial

### partialRight

partialRight: ExplicitPartialRight

- Defined in node_modules/@types/lodash/common/function.d.ts:1106

see

  _.partialRight

## Methods

### after

- after<TFunc>(func: TFunc): LoDashExplicitWrapper<TFunc>

- - Defined in node_modules/@types/lodash/common/function.d.ts:30
  see

    _.after

  #### Type parameters

  - #### TFunc: function

  #### Parameters

  - ##### func: TFunc

  #### Returns LoDashExplicitWrapper<TFunc>

### ary

- ary(n?: undefined | number): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:60
  see

    _.ary

  #### Parameters

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<function>

### before

- before<TFunc>(func: TFunc): LoDashExplicitWrapper<TFunc>

- - Defined in node_modules/@types/lodash/common/function.d.ts:92
  see

    _.before

  #### Type parameters

  - #### TFunc: function

  #### Parameters

  - ##### func: TFunc

  #### Returns LoDashExplicitWrapper<TFunc>

### bind

- bind(thisArg: any, ...partials: any[]): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:139
  see

    _.bind

  #### Parameters

  - ##### thisArg: any

  - ##### Rest ...partials: any[]

  #### Returns LoDashExplicitWrapper<function>

### bindKey

- bindKey(key: string, ...partials: any[]): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:190
  see

    _.bindKey

  #### Parameters

  - ##### key: string

  - ##### Rest ...partials: any[]

  #### Returns LoDashExplicitWrapper<function>

### curry

- curry<T1, R>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<CurriedFunction1<T1, R>>
- curry<T1, T2, R>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<CurriedFunction2<T1, T2, R>>
- curry<T1, T2, T3, R>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<CurriedFunction3<T1, T2, T3, R>>
- curry<T1, T2, T3, T4, R>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<CurriedFunction4<T1, T2, T3, T4, R>>
- curry<T1, T2, T3, T4, T5, R>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<CurriedFunction5<T1, T2, T3, T4, T5, R>>
- curry(arity?: undefined | number): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:461
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<CurriedFunction1<T1, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:467
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<CurriedFunction2<T1, T2, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:473
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<CurriedFunction3<T1, T2, T3, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:479
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<CurriedFunction4<T1, T2, T3, T4, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:485
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<CurriedFunction5<T1, T2, T3, T4, T5, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:491
  see

    _.curry

  #### Parameters

  - ##### Optional arity: undefined | number

  #### Returns LoDashExplicitWrapper<function>

### curryRight

- curryRight<T1, R>(this: LoDashExplicitWrapper<function>, arity?: undefined | number): LoDashExplicitWrapper<RightCurriedFunction1<T1, R>>
- curryRight<T1, T2, R>(this: LoDashExplicitWrapper<function>, arity?: undefined | number): LoDashExplicitWrapper<RightCurriedFunction2<T1, T2, R>>
- curryRight<T1, T2, T3, R>(this: LoDashExplicitWrapper<function>, arity?: undefined | number): LoDashExplicitWrapper<RightCurriedFunction3<T1, T2, T3, R>>
- curryRight<T1, T2, T3, T4, R>(this: LoDashExplicitWrapper<function>, arity?: undefined | number): LoDashExplicitWrapper<RightCurriedFunction4<T1, T2, T3, T4, R>>
- curryRight<T1, T2, T3, T4, T5, R>(this: LoDashExplicitWrapper<function>, arity?: undefined | number): LoDashExplicitWrapper<RightCurriedFunction5<T1, T2, T3, T4, T5, R>>
- curryRight(arity?: undefined | number): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:599
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashExplicitWrapper<RightCurriedFunction1<T1, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:605
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashExplicitWrapper<RightCurriedFunction2<T1, T2, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:611
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashExplicitWrapper<RightCurriedFunction3<T1, T2, T3, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:617
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashExplicitWrapper<RightCurriedFunction4<T1, T2, T3, T4, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:623
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### R

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashExplicitWrapper<RightCurriedFunction5<T1, T2, T3, T4, T5, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:629
  see

    _.curryRight

  #### Parameters

  - ##### Optional arity: undefined | number

  #### Returns LoDashExplicitWrapper<function>

### debounce

- debounce(wait?: undefined | number, options?: DebounceSettings): LoDashExplicitWrapper<TValue & Cancelable>

- - Defined in node_modules/@types/lodash/common/function.d.ts:693
  see

    _.debounce

  #### Parameters

  - ##### Optional wait: undefined | number

  - ##### Optional options: DebounceSettings

  #### Returns LoDashExplicitWrapper<TValue & Cancelable>

### defer

- defer(...args: any[]): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/function.d.ts:727
  see

    _.defer

  #### Parameters

  - ##### Rest ...args: any[]

  #### Returns LoDashExplicitWrapper<number>

### delay

- delay(wait: number, ...args: any[]): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/function.d.ts:762
  see

    _.delay

  #### Parameters

  - ##### wait: number

  - ##### Rest ...args: any[]

  #### Returns LoDashExplicitWrapper<number>

### memoize

- memoize(resolver?: undefined | function): LoDashExplicitWrapper<TValue & MemoizedFunction>

- - Defined in node_modules/@types/lodash/common/function.d.ts:830
  see

    _.memoize

  #### Parameters

  - ##### Optional resolver: undefined | function

  #### Returns LoDashExplicitWrapper<TValue & MemoizedFunction>

### negate

- negate(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<function>
- negate<A1>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<function>
- negate<A1, A2>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<function>
- negate(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:863
  see

    _.negate

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:864

  #### Type parameters

  - #### A1

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:865

  #### Type parameters

  - #### A1

  - #### A2

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:866

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<function>

### overArgs

- overArgs(...transforms: Array<Many<function>>): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:917
  see

    _.overArgs

  #### Parameters

  - ##### Rest ...transforms: Array<Many<function>>

  #### Returns LoDashExplicitWrapper<function>

### rearg

- rearg(...indexes: Array<Many<number>>): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1259
  see

    _.rearg

  #### Parameters

  - ##### Rest ...indexes: Array<Many<number>>

  #### Returns LoDashExplicitWrapper<function>

### rest

- rest(start?: undefined | number): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1292
  see

    _.rest

  #### Parameters

  - ##### Optional start: undefined | number

  #### Returns LoDashExplicitWrapper<function>

### spread

- spread<TResult>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<function>
- spread<TResult>(this: LoDashExplicitWrapper<function>, start: number): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1331
  see

    _.spread

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1336
  see

    _.spread

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  - ##### start: number

  #### Returns LoDashExplicitWrapper<function>

### throttle

- throttle(wait?: undefined | number, options?: ThrottleSettings): LoDashExplicitWrapper<TValue & Cancelable>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1391
  see

    _.throttle

  #### Parameters

  - ##### Optional wait: undefined | number

  - ##### Optional options: ThrottleSettings

  #### Returns LoDashExplicitWrapper<TValue & Cancelable>

### unary

- unary<T, TResult>(this: LoDashExplicitWrapper<function>): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1426
  see

    _.unary

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<function>

  #### Returns LoDashExplicitWrapper<function>

### wrap

- wrap<TArgs, TResult>(wrapper: function): LoDashExplicitWrapper<function>
- wrap<TResult>(wrapper: function): LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1478
  see

    _.wrap

  #### Type parameters

  - #### TArgs

  - #### TResult

  #### Parameters

  - ##### wrapper: function

    - - (value: TValue, ...args: TArgs[]): TResult

      - #### Parameters

        - ##### value: TValue

        - ##### Rest ...args: TArgs[]

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1485
  see

    _.wrap

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### wrapper: function

    - - (value: TValue, ...args: any[]): TResult

      - #### Parameters

        - ##### value: TValue

        - ##### Rest ...args: any[]

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<function>

Generated using TypeDoc